=== tools/CMakeLists.txt ===
add_subdirectory(mkcaltool)
