## mkcal 0.7.26+dfsg

=== debian/changelog ===
mkcal (0.7.26+dfsg-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 May 2024 20:12:46 +0200

mkcal (0.7.26+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1071286).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 May 2024 19:42:36 +0200
