=== debian/control ===
Source: mkcal
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               pkgconf,
               qtbase5-dev,
               qtdeclarative5-dev,
               libkf5calendarcore-dev,
               libsqlite3-dev,
               doxygen,
               graphviz,
               xauth,
               xvfb,
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/sailfishos/mkcal
Vcs-Browser: https://salsa.debian.org/ubports-team/mkcal
Vcs-Git: https://salsa.debian.org/ubports-team/mkcal.git

Package: libmkcal-qt5-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: SQlite storage backend for KCalendarCore
 Extends KDE calendar core library and provides an SQlite backend.
 .
 This package contains the Qt5 build of the libmkcal library.

Package: mkcal-bin
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: SQlite storage backend for KCalendarCore tools
 Extends KDE calendar core library and provides an SQlite backend.
 .
 This package includes related tools.

Package: libmkcal-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libmkcal-qt5-0 (= ${binary:Version}),
Description: SQlite storage backend for KCalendarCore development files
 Extends KDE calendar core library and provides an SQlite backend.
 .
 This package contains the development files.

#Package: libmkcal-qt5-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends},
#Description: SQlite storage backend for KCalendarCore API documentation
# Extends KDE calendar core library and provides an SQlite backend.
# .
# This package contains the API documentation for libmkcal-qt5.
