## mkcal 0.7.27+dfsg

=== debian/changelog ===
mkcal (0.7.27+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 18:19:12 +0200
