=== debian/changelog ===
mkcal (0.7.28+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2025 23:00:53 +0200
