=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                xvfb,
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/sailfishos/mkcal
 Vcs-Browser: https://salsa.debian.org/ubports-team/mkcal
