=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NULL =

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# disable plugins because the only plugin defaultinvitationplugin has
	# a non-free license
	# documentation is currently broken
	dh_auto_configure -- \
	    -DBUILD_PLUGINS=OFF \
#	    -DBUILD_DOCUMENTATION=ON \
	$(NULL)

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
