=== debian/watch ===
version=4
opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://github.com/sailfishos/mkcal/tags .*/(\d.*)@ARCHIVE_EXT@
